testing::internal::CartesianProductHolder3< Generator1, Generator2, Generator3 > Class Template Reference

`#include <gtest.h>`

## Public Member Functions

| CartesianProductHolder3 (const Generator1 &g1, const Generator2 &g2, const Generator3 &g3)
template<typename T1 , typename T2 , typename T3 >
| operator ParamGenerator< ::std::tuple< T1, T2, T3 > > () const

## Detailed Description

### template<class Generator1, class Generator2, class Generator3>
class testing::internal::CartesianProductHolder3< Generator1, Generator2, Generator3 >

Definition at line 13062 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductHolder3()

template<class Generator1, class Generator2, class Generator3>

testing::internal::CartesianProductHolder3< Generator1, Generator2, Generator3 >::CartesianProductHolder3 | ( | const Generator1 & | g1,
|  | const Generator2 & | g2,
|  | const Generator3 & | g3
| ) |  |

inline

Definition at line 13064 of file gtest.h.

## Member Function Documentation

## operator ParamGenerator< ::std::tuple< T1, T2, T3 > >()

template<class Generator1, class Generator2, class Generator3>
template<typename T1 , typename T2 , typename T3 >

testing::internal::CartesianProductHolder3< Generator1, Generator2, Generator3 >::operator ParamGenerator< ::std::tuple< T1, T2, T3 > > | ( |  | ) | const

inline

Definition at line 13068 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h